<div class="container-filter">

    <!--Title Search-->
    <div class="container-filter text-center">
      <h1>{{title}}</h1>
    </div>

    <div class="row">
      <!-- ONDE -->
      <div class="col-sm-3">
          <label for="location">Onde</label>

          <AutocompleteComponent (setAddress)="getCityAddress($event)" adressType="geocode"></AutocompleteComponent>
          <!--id="location" [(ngModel)]="searchLocation"-->
      </div>

      <!-- PERÍODO -->
      <div class="col-sm-4">
        <label for="periodo">Período </label>
        <div class="input-group">
            <div class="input-group-prepend">
                <span class="input-group-text" id=""><i class="fas fa-calendar-minus"></i></span>
            </div>
            <input [min]="minDate" [matDatepicker]="picker_in" class="form-control" (click)="picker_in.open()" placeholder="dd/mm/aaaa" id="check_in">
            <mat-datepicker #picker_in></mat-datepicker>
            <input [min]="minDate" [matDatepicker]="picker_out" class="form-control" (click)="picker_out.open()" placeholder="dd/mm/aaaa" id="check_out">
            <mat-datepicker #picker_out></mat-datepicker>
        </div>
      </div>

      <!-- CATEGORIA -->
      <div class="col-sm-3">
          <label for="categoria">Categoria </label>
          <div class="input-group form-group">
          <div class="input-group-prepend">
                  <span class="input-group-text" id=""><i class="fas fa-building"></i></span>
          </div>
              <select name="categoria" id="categoria" class="form-control" [(ngModel)]="searchCategory">
                  <option value="">Todas as categorias</option>
                  <option value="Corporativos">Corporativos</option>
                  <option value="Aniversários">Aniversários</option>
                  <option value="Festa particular">Festa particular</option>
                  <option value="Casuais">Casuais</option>
                  <option value="Empresariais">Empresariais</option>
                  <option value="Formaturas">Formaturas</option>
              </select>
          </div>
      </div>

      <!-- BOTÃO BUSCAR -->
      <div class="col-sm-2 mt-4">
          <div class="input-group">
              <button class="btn btn-lg btn-block btn-outline-danger" id="search" [routerLink]="['/']" [queryParams]="{ city: 'Santarém', state: 'PA', country: 'Brasil', category: 'Festa particular'}" (click)="filterSpaces()">Buscar</button>
          </div>
      </div>
    </div>

    <hr/>

    <div class="container map-toogle" *ngIf="isShowMap">
      <div class="d-flex flex-row-reverse">

        <div class="col-sm-2 p-2">
            <form class="form-inline">
              <div class="form-group">
                <label for="mostrarMapa">Mostrar mapa</label>
                  <label class="switch ml-3">
                      <input type="checkbox" id="mostrarMapa" class="form-control" (click)="mostrarMapa()">
                      <span class="slider round"></span>
                  </label>
              </div>
            </form>
        </div>
      </div>
    </div>

    <!-- LISTA DE ESPAÇOS -->
    <section class="text-center mt-3">
        <div class="row mb-4 wow fadeIn" *ngIf="!isShowingMap; else elseBlock">
            <div class="col-lg-4 col-md-6 mb-4" *ngFor="let space of spaces; index as spaceId">
                <mat-card class="example-card">
                    <mat-card-header>
                        <div mat-card-avatar><i class="far fa-heart"></i></div>
                        <mat-card-title [title]="space.name + ' details'"></mat-card-title>
                        <mat-card-subtitle>{{space.name}}</mat-card-subtitle>
                    </mat-card-header>
                    <img mat-card-image src='{{space.image}}' alt="Photo of local">
                    <mat-card-content *ngIf="space.description">
                        <p class="text-dark">
                            {{ space.description }}
                        </p>

                        <p class="text-secondary">
                            R$ {{ space.price }},00
                        </p>
                    </mat-card-content>
                    <mat-card-actions>
                        <button mat-button [routerLink]="['/spaces',space.id]">VER DETALHES</button>
                    </mat-card-actions>
              </mat-card>
          </div>
      </div>
    </section>

    <ng-template #elseBlock>
        <div class="container">
          <div class="row">
            <div class="col-sm-4">
              <section class="text-center">
                <div class="row mb-4 wow fadeIn">
                  <div class="col-sm-12 mb-4" *ngFor="let space of spaces; index as spaceId">
                    <mat-card class="example-card">
                        <mat-card-header>
                            <div mat-card-avatar><i class="far fa-heart"></i></div>
                            <mat-card-title [title]="space.name + ' details'"></mat-card-title>
                            <mat-card-subtitle>{{space.name}}</mat-card-subtitle>
                        </mat-card-header>
                        <img mat-card-image src='{{space.image}}' alt="Photo of local">
                        <mat-card-content *ngIf="space.description">
                            <p class="text-dark">
                                {{ space.description }}
                            </p>

                            <p class="text-secondary">
                                R$ {{ space.price }},00
                            </p>
                        </mat-card-content>
                        <mat-card-actions>
                            <button mat-button [routerLink]="['/spaces',space.id]">VER DETALHES</button>
                        </mat-card-actions>
                    </mat-card>
                  </div>
                </div>
              </section>
            </div>
            <div class="col-sm-8 map-fixed">
                <div class="container-map">
                    <div #mapRef style="width:100%;height:500px"></div>
                </div>
            </div>
          </div>
        </div>
    </ng-template>
</div>
